

function GameScreen:InitScreen()
    self:LoadScreen()
    self:init_dlg({"cue_right", "cue_left", "cue_right", "cue_right",  "cue_left", "cue_right", "cue_right"}, {"Cue_20", "Cue_20a", "Cue_20b", "Cue_20c", "Cue_20d", "Cue_20e", "Cue_20e2"})
    
    self:FadeOut(0.5);
    
    self.active = false;
    DelayedExec(0.1, function()
        self.active = true
    end)
end


function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "comics_back_trigger", "graphics/trigger", 0, 0, REAL_WINDOW_WIDTH*2, REAL_WINDOW_HEIGHT*2);
	ItemSetOpacity("comics_back_trigger", 0.01)
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "eve_wizard_20", "graphics/screens/20_wizard/location/eve_wizard_20",23, 99); 
	
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_left", "graphics/interface/comics/cue_left", 260, 842);
	self:CreateObj(OBJ_TYPE.NO_ACTIVE, "cue_right", "graphics/interface/comics/cue_right", 358, 838);
	ItemSetOpacity("cue_left", 0.0)
	ItemSetOpacity("cue_right", 0.0)
	
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_20e2", "graphics/screens/20_wizard/location/Cue_20e2",421, 999);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_20e", "graphics/screens/20_wizard/location/Cue_20e",387, 935);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_20d", "graphics/screens/20_wizard/location/Cue_20d",507, 1011);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_20c", "graphics/screens/20_wizard/location/Cue_20c",396, 925);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_20b", "graphics/screens/20_wizard/location/Cue_20b",392, 955);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_20a", "graphics/screens/20_wizard/location/Cue_20a",486, 1011);
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "Cue_20", "graphics/screens/20_wizard/location/Cue_20",534, 1013);
end